Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.config.solver
Class SolverConfig

    java.lang.Object
      org.optaplanner.core.config.solver.SolverConfig

    public class SolverConfig

extends Object

Field Summary
`protected Boolean` | `daemon`
`protected static long` | `DEFAULT_RANDOM_SEED`
`protected List<Class<?>>` | `entityClassList`
`protected EnvironmentMode` | `environmentMode`
`protected List<PhaseConfig>` | `phaseConfigList`
`protected Class<? extends RandomFactory>` | `randomFactoryClass`
`protected Long` | `randomSeed`
`protected RandomType` | `randomType`
`protected ScoreDirectorFactoryConfig` | `scoreDirectorFactoryConfig`
`protected Class<? extends Solution>` | `solutionClass`

Constructor Summary
`SolverConfig()`

Method Summary
`protected BestSolutionRecaller` | `buildBestSolutionRecaller(EnvironmentMode environmentMode)`
`protected SolutionDescriptor` | `buildSolutionDescriptor()`
`Solver` | `buildSolver()`
`Boolean` | `getDaemon()`
`List<Class<?>>` | `getEntityClassList()`
`EnvironmentMode` | `getEnvironmentMode()`
`List<PhaseConfig>` | `getPhaseConfigList()`
`Class<? extends RandomFactory>` | `getRandomFactoryClass()`
`Long` | `getRandomSeed()`
`RandomType` | `getRandomType()`
`ScoreDirectorFactoryConfig` | `getScoreDirectorFactoryConfig()`
`Class<? extends Solution>` | `getSolutionClass()`
`TerminationConfig` | `getTerminationConfig()`
`void` | `inherit(SolverConfig inheritedConfig)`
`void` | `setDaemon(Boolean daemon)`
`void` | `setEntityClassList(List<Class<?>> entityClassList)`
`void` | `setEnvironmentMode(EnvironmentMode environmentMode)`
`void` | `setPhaseConfigList(List<PhaseConfig> phaseConfigList)`
`void` | `setRandomFactoryClass(Class<? extends RandomFactory> randomFactoryClass)`
`void` | `setRandomSeed(Long randomSeed)`
`void` | `setRandomType(RandomType randomType)`
`void` | `setScoreDirectorFactoryConfig(ScoreDirectorFactoryConfig scoreDirectorFactoryConfig)`
`void` | `setSolutionClass(Class<? extends Solution> solutionClass)`
`void` | `setTerminationConfig(TerminationConfig terminationConfig)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_RANDOM_SEED

    protected static final long DEFAULT_RANDOM_SEED

See Also:
  Constant Field Values

### environmentMode

    protected EnvironmentMode environmentMode

### daemon

    protected Boolean daemon

### randomType

    protected RandomType randomType

### randomSeed

    protected Long randomSeed

### randomFactoryClass

    protected Class<? extends RandomFactory> randomFactoryClass

### solutionClass

    protected Class<? extends Solution> solutionClass

### entityClassList

    protected List<Class<?>> entityClassList

### scoreDirectorFactoryConfig

    protected ScoreDirectorFactoryConfig scoreDirectorFactoryConfig

### phaseConfigList

    protected List<PhaseConfig> phaseConfigList

Constructor Detail

### SolverConfig

    public SolverConfig()

Method Detail

### getEnvironmentMode

    public EnvironmentMode getEnvironmentMode()

### setEnvironmentMode

    public void setEnvironmentMode(EnvironmentMode environmentMode)

### getDaemon

    public Boolean getDaemon()

### setDaemon

    public void setDaemon(Boolean daemon)

### getRandomType

    public RandomType getRandomType()

### setRandomType

    public void setRandomType(RandomType randomType)

### getRandomSeed

    public Long getRandomSeed()

### setRandomSeed

    public void setRandomSeed(Long randomSeed)

### getRandomFactoryClass

    public Class<? extends RandomFactory> getRandomFactoryClass()

### setRandomFactoryClass

    public void setRandomFactoryClass(Class<? extends RandomFactory> randomFactoryClass)

### getSolutionClass

    public Class<? extends Solution> getSolutionClass()

### setSolutionClass

    public void setSolutionClass(Class<? extends Solution> solutionClass)

### getEntityClassList

    public List<Class<?>> getEntityClassList()

### setEntityClassList

    public void setEntityClassList(List<Class<?>> entityClassList)

### getScoreDirectorFactoryConfig

    public ScoreDirectorFactoryConfig getScoreDirectorFactoryConfig()

### setScoreDirectorFactoryConfig

    public void setScoreDirectorFactoryConfig(ScoreDirectorFactoryConfig scoreDirectorFactoryConfig)

### getTerminationConfig

    public TerminationConfig getTerminationConfig()

### setTerminationConfig

    public void setTerminationConfig(TerminationConfig terminationConfig)

### getPhaseConfigList

    public List<PhaseConfig> getPhaseConfigList()

### setPhaseConfigList

    public void setPhaseConfigList(List<PhaseConfig> phaseConfigList)

### buildSolver

    public Solver buildSolver()

### buildBestSolutionRecaller

    protected BestSolutionRecaller buildBestSolutionRecaller(EnvironmentMode environmentMode)

### buildSolutionDescriptor

    protected SolutionDescriptor buildSolutionDescriptor()

### inherit

    public void inherit(SolverConfig inheritedConfig)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.